
Redmine - Feature #10384

Versions REST API - Please add the WIKI field in the XML output

2012-03-06 10:57 - Yannick SAVANIER

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Hi,

Actualy the Versions REST API isn't sending the wiki page linked to the version and thus we have to extrapolate the wiki adress

based on the version's name, hoping the syntax is the same...

Related issues:

Related to Redmine - Feature #26237: Support wiki_page_title attribute in Ver... Closed

History

#1 - 2012-03-07 09:35 - Yannick SAVANIER

- File redmine-versions-api-wiki.patch added

Here is the patch to solve the issue.

#2 - 2012-03-07 13:46 - Yannick SAVANIER

- Status changed from New to Resolved

#3 - 2012-03-07 13:48 - Etienne Massip

- Status changed from Resolved to New

#4 - 2012-03-07 19:52 - Jean-Philippe Lang

I don't know. I don't like to version/wiki_page mechanism very much and I'd find awkward to put this logic in the API. I'd prefer to add the wiki page

content as an attribute of the version in the API (eg. full_description or something). Maybe on the UI as well.

#5 - 2012-03-07 20:46 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#6 - 2012-03-08 08:09 - Brice Beaumesnil

something like this in index.api.rsb ?

api.full_description version.wiki_page.content.text if version.wiki_page

#7 - 2012-03-08 09:35 - Brice Beaumesnil

- File redmine_versions_wiki_page.patch added

It's done in this patch

#8 - 2012-03-08 09:39 - Brice Beaumesnil

- File redmine_versions_wiki_page.patch added

sorry i forgot an underscore in show.api.rsb file.

#9 - 2012-03-08 09:45 - Yannick SAVANIER

Thank you Jean-Philippe for this suggestion as it seems more efficient.

Thank you Brice for the update.

2025-05-13 1/3



I hope this will get to the next release :)

#10 - 2012-03-08 22:14 - clgroschmu billaa

- Assignee set to Yannick SAVANIER

-

#11 - 2012-03-09 09:05 - Etienne Massip

- Assignee deleted (Yannick SAVANIER)

#12 - 2012-03-09 16:32 - akestomm aifseng

- Assignee set to Jonas De Meulenaere

-

#13 - 2012-03-09 16:34 - Jonas De Meulenaere

- Assignee deleted (Jonas De Meulenaere)

#14 - 2012-03-09 16:34 - rosturad John

- Assignee set to Maxim Krušina

-

#15 - 2012-03-09 17:42 - Etienne Massip

- Assignee deleted (Maxim Krušina)

#16 - 2012-03-09 21:30 - onalbertsopr billaa

- Assignee set to Jean-Baptiste Barth

#17 - 2012-03-14 11:02 - RedminePro Yang

Please show "sharing", "status" value of Version in the json output

#18 - 2012-03-30 17:20 - Yannick SAVANIER

Are you planning adding those 2 lines of code anytime soon ?

Could you tell us what we can do to help you to solve this issue ?

Don't hesitate asking.

Cheers :)

#19 - 2012-03-30 17:22 - Yannick SAVANIER

- Assignee changed from Jean-Baptiste Barth to Etienne Massip

This onalbertsopr billaa did assign this issue to a man who logged last year...

#20 - 2012-03-30 17:35 - Etienne Massip

- Assignee deleted (Etienne Massip)

#21 - 2012-05-03 10:34 - Yannick SAVANIER

- Assignee set to Jean-Philippe Lang

Hi sorry of poking you this way but could you please give us feedback about the patch provided so we can do what is still needed for this issue to be

resolved  ?

Thank you.

#22 - 2012-05-04 21:11 - Jean-Philippe Lang

The patch does not allow to update the full description. Does it make sense to add it to the API as read-only?
#23 - 2013-05-29 08:43 - Benoit Duffez

Allow me to bump this: it's not implemented in Redmine, yet I feel like it is missing.

The versions REST API doesn't return the associated wiki page in read mode.

Read-only access would be a start, while RW access would of course be better!

Thanks.

#24 - 2019-05-07 04:27 - Go MAEDA

- Related to Feature #26237: Support wiki_page_title attribute in Versions REST API added

#25 - 2019-05-07 04:27 - Go MAEDA

- Status changed from New to Closed

- Assignee deleted (Jean-Philippe Lang)

- Resolution set to Fixed

Versions API returns associated wiki page name after r18091. It will be delivered in Redmine 4.1.0.

Files

redmine-versions-api-wiki.patch 926 Bytes 2012-03-07 Yannick SAVANIER

redmine_versions_wiki_page.patch 1.69 KB 2012-03-08 Brice Beaumesnil

redmine_versions_wiki_page.patch 1.7 KB 2012-03-08 Brice Beaumesnil
